Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.stax.navigation
Class FindStartElementNavigator

    java.lang.Object
      org.apache.cocoon.stax.navigation.FindStartElementNavigator

All Implemented Interfaces:
  Navigator

    public final class FindStartElementNavigator

extends Object
implements Navigator

This implementation of the `Navigator` returns true of `Navigator.fulfillsCriteria(XMLEvent)` any time it is called with a `StartElement` full filling all conditions the `Navigator` was created with. There is also the possibility start the `Navigator` with a regex expression. For default regex is not activated for the sake of speed.

The "partner" of this `Navigator` is the `FindEndElementNavigator` working exactly as the `FindStartElementNavigator` for the `EndElement`.

     <anyElement> -> false
      <searchedElement> -> true
          <anyElement\> -> false
          <searchedElement\> -> true
      <\searchedElement> -> false
     <\anyElement> -> false

Constructor Summary
`FindStartElementNavigator(String name)`
`FindStartElementNavigator(String name, Attribute... attributes)`
`FindStartElementNavigator(String name, List<Attribute> attributes)`
`FindStartElementNavigator(String name, MatchingType matchingType, Attribute... attributes)`
`FindStartElementNavigator(String name, MatchingType matchingType, List<Attribute> attributes)`

Method Summary
`boolean` | `fulfillsCriteria(XMLEvent event)` Depending on the `XMLEvent` it is returned if the navigator fulfills the criteria the `Navigator` is build for.
`boolean` | `isActive()` Every time the `Navigator.fulfillsCriteria(XMLEvent)` the value returned by this method is stored internally in the `Navigator`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FindStartElementNavigator

    public FindStartElementNavigator(String name)

### FindStartElementNavigator

    public FindStartElementNavigator(String name,
                                     List<Attribute> attributes)

### FindStartElementNavigator

    public FindStartElementNavigator(String name,
                                     Attribute... attributes)

### FindStartElementNavigator

    public FindStartElementNavigator(String name,
                                     MatchingType matchingType,
                                     List<Attribute> attributes)

### FindStartElementNavigator

    public FindStartElementNavigator(String name,
                                     MatchingType matchingType,
                                     Attribute... attributes)

Method Detail

### fulfillsCriteria

    public boolean fulfillsCriteria(XMLEvent event)

  Depending on the `XMLEvent` it is returned if the navigator fulfills the criteria the `Navigator` is build for.

  Specified by:
    `fulfillsCriteria` in interface `Navigator`
  Parameters:
    `event` - of the XML analyzed at the moment.
  Returns:
    if the `XMLEvent` full fills all criteria of the `Navigator`.
  See Also:
    `Navigator.fulfillsCriteria(javax.xml.stream.events.XMLEvent)`

### isActive

    public boolean isActive()

  Every time the `Navigator.fulfillsCriteria(XMLEvent)` the value returned by this method is stored internally in the `Navigator`. As long as the `Navigator.fulfillsCriteria(XMLEvent)` method is not called again this method returns the last returned value of the `Navigator.fulfillsCriteria(XMLEvent)` method. As long the `Navigator.fulfillsCriteria(XMLEvent)` is not called false should be returned.

  Specified by:
    `isActive` in interface `Navigator`
  Returns:
    the actual value returned by the `Navigator.fulfillsCriteria(XMLEvent)` method.
  See Also:
    `Navigator.isActive()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 The Apache Software Foundation. All Rights Reserved.